/**
 * @file g9006_access.h
 * @author your name (you@domain.com)
 * @brief 
 * @version 0.1
 * @date 2023-05-31
 * 
 * @copyright Copyright (c) 2023
 * 
 */

#ifndef __G9006_ACCESS_H__
#define __G9006_ACCESS_H__

//---------------------------------------------------------------------------------------
//  プロトタイプ宣言(Prototype declaration)
//---------------------------------------------------------------------------------------

uint32_t spi_access_module(PIO pio, uint sm, uint32_t write_data);       /* SPIアクセス用モジュール */

void spi_init( PIO pio, uint sm, uint spi_mosi, uint spi_mosi_num, uint spi_miso, uint spi_miso_num, uint spi_side_base, uint spi_side_num, float spi_sck_frq );                                                            /* SPI用ステートマシンの初期化 */
void write_reg_G9006(PIO pio, uint sm, uint32_t comtype, uint32_t address, uint32_t data);    /* G9006_アドレスあり書き込み制御 */
uint32_t read_reg_G9006(PIO pio, uint sm, uint32_t comtype, uint32_t address);                /* G9006_アドレスあり読み出し制御 */
void read_str_G9006(PIO pio, uint sm, uint32_t comtype);                                      /* G9006_アドレスなし読み出し制御 */
void write_opecom_G9006(PIO pio, uint sm, uint32_t comtype, uint32_t opecom);                 /* G9006_アドレスなし書き込み制御 */

#endif